-- Code: Daniel Elgh
-- GFX: Jesper Olsson

-- All material is copyrighted by its creator.

-- 2010-02-03

height = screen.height()
width= screen.width()
green = color.new(0,255,0)
touch_x = -1
touch_y = -1


-- Head

	-- Load images
	imgBg = image.load("background.png");
	-- Load sounds	
	work_it = wav.load("sounds/work_it.wav")
	make_it = wav.load("sounds/make_it.wav")
	do_it = wav.load("sounds/do_it.wav")
	makes_us = wav.load("sounds/makes_us.wav")
	harder = wav.load("sounds/harder.wav")
	better = wav.load("sounds/better.wav")
	faster = wav.load("sounds/faster.wav")
	stronger = wav.load("sounds/stronger.wav")
	more_than = wav.load("sounds/more_than.wav")
	hour = wav.load("sounds/hour.wav")
	our = wav.load("sounds/our.wav")
	never = wav.load("sounds/never.wav")
	ever = wav.load("sounds/ever.wav")
	after = wav.load("sounds/after.wav")
	work_is = wav.load("sounds/work_is.wav")
	over = wav.load("sounds/over.wav")

	
	-- Include
	dofile "func.lua"
	dofile "splash.lua"

	
-- End head

-- Start Application here :: Body

	imgBg:draw(0,0)

	drawMenu()
	drawText()
	screen.update()
	os.sleep(200)


	while 1 do 
	   if (control.read()==1) then
			if (control.isTouch() == 1) and (touch.click() == 1) then
				touch_x, touch_y = touch.pos()
				mapPlay()
			elseif (control.isButton()==1) and (button.click() == 1) then
					stop = wav.load("stop.wav")
					stop:play()
					stop:close()
					break
			end
		else
		  os.sleep(10)
		end
	end

-- Copyright  Daniel Elgh, 2010
